AWSTemplateFormatVersion : '2010-09-09'
Transform: AWS::Serverless-2016-10-31
Description: >
  Automatic Send Email

Resources:
  
  AutomaticSendEmailFunction:
    Type: AWS::Serverless::Function
    Properties:
      FunctionName: AutomaticSendEmailFunction
      Role: arn:aws:iam::000365055762:role/lambda-essential-role
      Description: Automatic Send Email Lambda Function
      Runtime: java8
      CodeUri: target/automaticsendemail-1.0.0.jar
      Handler: com.atlanticsoft.automaticsendemail.controller.LambdaController::handleRequest
      Timeout: 60
      MemorySize: 128
      Events:
        SQSEvent:
          Type: SQS
          Properties:
            Queue: !GetAtt QueueProduction.Arn

  #QueueDevelop:
  #  Type: AWS::SQS::Queue
  #  Properties:
  #    QueueName: AutomaticOrdersDev.fifo
  #    FifoQueue: true
  #    ContentBasedDeduplication: true
  #    VisibilityTimeout: 60

  QueueProduction:
    Type: AWS::SQS::Queue
    Properties:
      QueueName: AutomaticOrdersProd.fifo
      FifoQueue: true
      ContentBasedDeduplication: true
      VisibilityTimeout: 60
